Bug 1873234 - Manage ownership hand-off of metal3 between MAO and CBO for upgrade and downgrade
Summary: Manage ownership hand-off of metal3 between MAO and CBO for upgrade and downg...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: sdasu
QA Contact: Polina Rabinovich
URL:
Whiteboard:
: 1872489 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 16:53 UTC by sdasu
Modified: 2020-09-02 14:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift machine-api-operator pull 689 None closed Bug 1873234: Manage ownership hand-off of metal3 between MAO and CBO for upgrade and downgrade 2020-09-09 17:53:40 UTC

Description sdasu 2020-08-27 16:53:55 UTC
Description of problem:
Management of metal3 deployment should be handled by MAO or CBO seamlessly during upgrade and downgrade scenarios with preference given to CBO when it is present. CBO is an SLO under development, to take over management of metal3 from MAO.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Alberto 2020-09-01 08:32:24 UTC
*** Bug 1872489 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.